org.keycloak.dom.saml.v1.protocol

## Class SAML11StatusCodeType

- java.lang.Object
- - org.keycloak.dom.saml.v1.protocol.SAML11StatusCodeType

- All Implemented Interfaces:
    Serializable

      public class SAML11StatusCodeType
      extends Object
      implements Serializable

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11StatusCodeType` | `statusCode`
    `static SAML11StatusCodeType` | `SUCCESS`
    `protected QName` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11StatusCodeType(QName theValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML11StatusCodeType` | `getStatusCode()` Gets the value of the statusCode property.
    `QName` | `getValue()` Gets the value of the value property.
    `void` | `setStatusCode(SAML11StatusCodeType value)` Sets the value of the statusCode property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS

          public static final SAML11StatusCodeType SUCCESS

    - #### statusCode

          protected SAML11StatusCodeType statusCode

    - #### value

          protected QName value

  - ### Constructor Detail

    - #### SAML11StatusCodeType

          public SAML11StatusCodeType(QName theValue)

  - ### Method Detail

    - #### getStatusCode

          public SAML11StatusCodeType getStatusCode()

      Gets the value of the statusCode property.
      Returns:
        possible object is `StatusCodeType`

    - #### setStatusCode

          public void setStatusCode(SAML11StatusCodeType value)

      Sets the value of the statusCode property.
      Parameters:
        `value` - allowed object is `StatusCodeType`

    - #### getValue

          public QName getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.